""" boot.py
    this program will remount the flash memory as a drive writeable
    from CircuitPython programs when the KEY button is pressed at RESET
"""
from digitalio import *              # DigitalInOut, Direction, Pull, DriveMode
import board
import storage
import time

button = DigitalInOut(board.A0)      # Builtin KEY button (A0)
button.direction = Direction.INPUT   # Set pin as digital input
button.pull = Pull.UP                # with internal pullup
time.sleep(0.25)
# If the KEY button is pressed at RESET CircuitPython can write to the flash drive
storage.remount("/", button.value)