"""CircuitPython Essentials Storage logging example"""
import time
import board
from digitalio import *
import microcontroller

led = DigitalInOut(board.LED)        # Builtin LED (C13)
led.direction = Direction.OUTPUT
led.drive_mode = DriveMode.OPEN_DRAIN
led.value = True                     # Initially OFF (negative logic)

try:
    with open("/temperature.txt", "a") as fp:
        while True:
            temp = microcontroller.cpu.temperature
            # do the C-to-F conversion here if you would like
            fp.write('{0:f}\n'.format(temp))
            fp.flush()
            led.value = not led.value
            time.sleep(5)
except OSError as e:     # Typically when the filesystem isn't writeable...
    delay = 0.5          # ...blink the LED every half second.
    if e.args[0] == 28:  # If the file system is full...
        delay = 0.25     # ...blink the LED faster!
    while True:
        led.value = not led.value
        time.sleep(delay)